
Media Management - Bug # 48302

Status: Resolved Priority: Should have
Author: Fabien Udriot Category:
Created: 2013-05-16 Assigned To: Fabien Udriot
Updated: 2013-05-27 Due date:
Subject: Default pid is not respected on file upload
Description

Related issues:
related to Media Management - Task # 48047: Release Media 1.0.0 Resolved 2013-05-08

Associated revisions
Revision ac5a2e04 - 2013-05-27 11:11 - Frans Saris

[BUGFIX] Fix implementation of naw_securedl hook

Hook is now FAL aware and checks against field sys_file.fe_groups
added by Media extension.

The patch also brings some changes related to:

    -  Fix the default pid, #48302
    -  Fix some unit tests along the way
    -  Improve the method processMagicCall from the asset repository
    -  Fix string escaping in query

Change-Id: I7f5ca4407f7f3eaf654442a0cf0a0ed489087c14
Fixes: #48044
Fixes: #48302
Reviewed-on: https://review.typo3.org/20636
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot

History
#1 - 2013-05-17 10:08 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20636

#2 - 2013-05-21 09:14 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20636

#3 - 2013-05-22 14:13 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20636
#4 - 2013-05-23 10:00 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20636

#5 - 2013-05-27 11:10 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20636

#6 - 2013-05-27 11:35 - Frans Saris
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ac5a2e04474e38efbe4e5ae853f9b6659c9c6dd4.
